Переполнение буфера в ProFTPD

Дата публикации:
15.12.2006
Дата изменения:
06.02.2009
Всего просмотров:
3450
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Локальная
Воздействие:
Повышение привилегий
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
ProFTPD 1.2.x
ProFTPD 1.3.x
Уязвимые версии: ProFTPD версии до 1.3.1rc1.

Описание:
Уязвимость позволяет локальному пользователю выполнить произвольный код на целевой системе.

Уязвимость существует из-за ошибки проверки границ данных в функции "pr_ctrls_recv_request()" в файле src/ctrls.c. Локальный пользователь может послать приложению специально сформированной сообщение, вызвать переполнение буфера и выполнить произвольный код на целевой системе. Для успешной эксплуатации уязвимости должен использоваться модуль mod_ctrl и атакующий должен иметь доступ к этому модулю.

URL производителя: www.proftpd.org

Решение: Установите последнюю версию (1.3.1rc1) с сайта производителя.

Ссылки: ProFTPD Controls Buffer Overflow
ProFTPD <= 1.3.0a (mod_ctrls support) Local Buffer Overflow PoC

или введите имя

CAPTCHA